## GtkHPaned GtkHPaned — A container with two panes arranged horizontally |

## Functions

GtkWidget * | gtk_hpaned_new ()

## Types and Values

struct | GtkHPaned

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkPaned
                        ╰── GtkHPaned

## Implemented Interfaces

GtkHPaned implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

The HPaned widget is a container widget with two children arranged horizontally. The division between the two panes is adjustable by the user by dragging a handle. See GtkPaned for details.

GtkHPaned has been deprecated, use GtkPaned instead.

## Functions

### gtk_hpaned_new ()

    GtkWidget *
    gtk_hpaned_new (void);

`gtk_hpaned_new` has been deprecated since version 3.2 and should not be used in newly-written code.

Use `gtk_paned_new()` with `GTK_ORIENTATION_HORIZONTAL` instead

Create a new GtkHPaned

#### Returns

the new GtkHPaned

## Types and Values

### struct GtkHPaned

    struct GtkHPaned;